Bug 1248550 - VDBs not detected and monitoring doesn't work
VDBs not detected and monitoring doesn't work
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: JON (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ER4
: 6.2.0
Assigned To: Van Halbert
Filip Elias
: Reopened
Depends On:
Blocks: 1241657
  Show dependency treegraph
 
Reported: 2015-07-30 09:42 EDT by Filip Nguyen
Modified: 2015-10-21 13:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 13:38:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs from JON server and JON agent (183.65 KB, application/zip)
2015-07-30 09:42 EDT, Filip Nguyen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDRHQ-31 Major Resolved VDBs not detected and monitoring doesn't work 2016-03-23 11:49 EDT

  None (edit)
Description Filip Nguyen 2015-07-30 09:42:18 EDT
Created attachment 1057687 [details]
logs from JON server and JON agent

Newly deployed VDBs (through EAP management console) are not being detected. Queries against neither new nor existing VDBs are not being detected as well so no monitoring statistics work. I even (during running query) to invoke "Show current requests" and "Show current sessions" operations, neither of which return correct queries/requests. 

I used this [1] Teiid plugin. The plugin was supplied as part of patch 1209517. 

[1] 
teiid-rhq-plugin-2.1.0.redhat-9.jar
5e93653f4c0f50fa401c3ba55cb70c01
Comment 1 Filip Nguyen 2015-08-12 05:46:48 EDT
Fails QA. See 1252814 for details
Comment 2 Filip Nguyen 2015-08-12 12:12:35 EDT
This BZ fails QA. The metrics are being picked up, however, new VDBs are still not detected.
Comment 3 Van Halbert 2015-08-24 09:11:47 EDT
For the deployed VDB to show up, I ran manual discovery at the root node of JON and refreshed the VDB folder when finished.
Comment 4 Van Halbert 2015-10-15 10:38:37 EDT
Don't know why this was changed to NOTABUG.  I think it was incorrectly changed and should have been set to VERIFIED, as it was realized, the non-detection of the VDB's could now be done.
Comment 5 Filip Elias 2015-10-16 06:00:08 EDT
yes, it should be probably set to verified.
Comment 6 Larry O'Leary 2015-10-21 13:38:47 EDT
Fix was released in management plug-in pack update-03 for JBoss ON 3.3.

# Name:           jon-plugin-pack-datavirtualization-3.3.0.GA-update-03
# Version:        3.3.0.GA
# Build ID:       d511aaf:9e8659d
# Build Time:     09/22/15 08:05 PM GMT

Note You need to log in before you can comment on or make changes to this bug.